jQuery(document).ready(function($){
	var option = $("#handscustomizeSetting").val();
	changeHandsCustomizeStatus(option);
	$('#handscustomizeSetting').on('change',function(){
		var option = $(this).val();
		changeHandsCustomizeStatus(option);
	});

	function changeHandsCustomizeStatus(option){
		var rac = $('#rowAlternateColorHand');
		var cac = $('#columnAlternateColorHand');
		var frfc = $('#fcfrHand');
		switch(option) {
		case '1':
			rac.show();
			cac.hide();
			frfc.hide();
			console.log('1');
			break;
		case '2':
			rac.hide();
			cac.show();
			frfc.hide();
			console.log('2');
			break;
		case '3':
			rac.hide();
			cac.hide();
			frfc.show();
			console.log('3');
			break;
		default:
			rac.show();
			cac.hide();
			frfc.hide();
			console.log('4');
			break;
		}
	}

	$('#handswidgetdatatype').on('change',function(){

		var data_type = $(this).val();
		if(data_type){
			$.ajax({
				type:'POST',
				url:ajaxurl,
				data:{action : "ce_handsw_fetchTournaments" , data_type:data_type},
				success:function(html){
					$('#handswidgettournament').html('<option value="">Select</option>');
					$('#handswidgettournament').append(html);
					processChange();
					$("#handswidgettournament").val($("#handswidgettournament option:first").val());
				},

			}); 
		}else{
			$('#handswidgettournament').html('<option value="">Select</option>');
		}
	});


	$('#handswidgettournament').on('change',function(){
		var leagueID = $(this).val();
		if(leagueID){
			$.ajax({
				type:'POST',
				url:ajaxurl,
				data:{action : "ce_handsw_fetchStage" , leagueID:leagueID},
				success:function(html){
					$('#handswidgetstage').html(html);
					processChange();
					$("#handswidgetstage").val($("#handswidgetstage option:first").val());
				},

			}); 
		}else{
			$('#handswidgetstage').html('<option value="">Select Group</option>');
		}
	});

	$('#handswidgetstage').on('change',function(){
		var stageId = $(this).val();
		if(stageId){
			$.ajax({
				type:'POST',
				url:ajaxurl,
				data:{action : "ce_handsw_fetchGroup" , stageId:stageId},
				success:function(html){
					$('#handswidgetgroup').html(html);
					processChange();
					$("#handswidgetgroup").val($("#handswidgetgroup option:first").val());
				},

			}); 
		}else{
			$('#handswidgetgroup').html('<option value="">Select Group</option>');
		}
	});

	$('#handswidget-generator select').on('change',function(){
		processChange();
	});

	function processChange(){
		var Language = $('#handswidgetlanguage').val();
		var DataType = $('#handswidgetdatatype').val();
		var Tournament = $('#handswidgettournament').val();
		var Stage = $('#handswidgetstage').val();
		var Group = $('#handswidgetgroup').val();

		if((DataType == 2)){
			$('#handswidgetstage').html('');
			$('#handswidgetgroup').html('');

			$("#handswidgetstage").hide();
			$("#handswidgetgroup").hide();
		}else{
			$("#handswidgetstage").show();
			$("#handswidgetgroup").show();
		}

		if((DataType == 0) || (Language  == 0) || (Tournament == 0)){
			$('#ShortcodePrev').html('Please Select The Required Fields');
			return;
		}else{

			if((Group == '') || (Group == null) || (Group == 0)){
				grp ='';
			}else{
				var grp = ' group='+Group;
			}
			if((Stage == '') || (Stage == null) || (Stage == 0)){
				stg ='';
			}else{
				var stg = ' stage='+Stage;
			}

			if ($('#handswidgetgroup option').length == 0) {
				$('#handswidgetgroup').hide();
				$('#handswidgetgroup').val('');
			}else{
				$('#handswidgetgroup').show();
			}

			$('#ShortcodePrev').html('[handballstats lang='+Language+' type='+DataType+' ranking='+Tournament+' '+grp+' '+stg+']');
			processPreview(Language,DataType,Tournament,Group,Stage);
		}
	}
	function processPreview(Language,DataType,Tournament,Group,Stage){
		$.ajax({
			type:'POST',
			url:ajaxurl,
			data:{action : "ce_handsw_processPreview", Language:Language, DataType:DataType,Tournament:Tournament,Group:Group,Stage:Stage},
			success:function(html){
				html = html.replace(new RegExp('/"/', 'g'), '"');
				$('#handswidgetPreviewDemo').html(html);
			},

		});
	}
});


